>>
>> Hi,
>>
>> I have been testing Derby for a while and now I faced needs to include
>> jdbc supporting databse to a CDC supporting device. I read a couple of
>> messages that Derbys JSR-169 version is under development. I'm curious
>> in knowing when the JSR-169 version will be available and/or may I
>> somehow get early versions for testing purposes? For my point of view,
>> Derby could be a good choice if JSR-169 supporting version could be
>> available.
>
>Early versions will be available through the development trunk. At first
>you need to apply a patch I will post to the list before building Derby
>yourself. I think I will have that patch available within a couple of
>weeks.
>
>Dan.


Thanks for the information! I'm as keen as mustand to patch my Derby build
and begin testing sessions. Just can't wait...

Btw, I realized that you're about to convert old frameword for JDBC 1.2
to support JSR-169 (http://incubator.apache.org/derby/DerbyToDo.html).
I think that JDBC for CDC / FP is a strict subset of the JDBC 3.0
specification (http://developers.sun.com/techtopics/mobility/midp/articles/optional/).
That makes me wonder why you're converting old framework. However,
I'm sure you know what's the best way to go.

-- Jouni